MediaWiki:Common.css: Difference between revisions

No edit summary
No edit summary
 
(2 intermediate revisions by 2 users not shown)
Line 6: Line 6:
}
}
body.page-Main_Page #ca-delete {
body.page-Main_Page #ca-delete {
     display: none !important;
     display: none;
}
}


Line 149: Line 149:
     float: right;
     float: right;
     clear: right;
     clear: right;
    width: var(--infobox-width, 300px);
}
}
.infobox td,
.infobox td,
Line 267: Line 268:
   (Used in [[Template:Audio]] and the like to make the speaker clickable) */
   (Used in [[Template:Audio]] and the like to make the speaker clickable) */
.audiolink a {
.audiolink a {
     background: url("http://upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Loudspeaker.svg/11px-Loudspeaker.svg.png") center left no-repeat !important;
     background: url("https://upload.wikimedia.org/wikipedia/commons/thumb/8/8a/Loudspeaker.svg/11px-Loudspeaker.svg.png") center left no-repeat;
     padding-left: 16px !important;
     padding-left: 16px;
     padding-right: 0 !important;
     padding-right: 0;
}
}


/* Icons for medialist templates [[Template:Listen]], [[Template:Multi-listen_start]], [[Template:Video]], [[Template:Multi-video_start]] */
/* Icons for medialist templates [[Template:Listen]], [[Template:Multi-listen_start]], [[Template:Video]], [[Template:Multi-video_start]] */
div.listenlist {
div.listenlist {
     background: url("http://upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Gnome-speakernotes.png/30px-Gnome-speakernotes.png");
     background: url("https://upload.wikimedia.org/wikipedia/commons/thumb/a/a6/Gnome-speakernotes.png/30px-Gnome-speakernotes.png");
     padding-left: 40px;
     padding-left: 40px;
}
}
div.videolist, div.multivideolist {
div.videolist, div.multivideolist {
     background: url("http://upload.wikimedia.org/wikipedia/en/thumb/2/20/Tango-video-x-generic.png/40px-Tango-video-x-generic.png");
     background: url("https://upload.wikimedia.org/wikipedia/en/thumb/2/20/Tango-video-x-generic.png/40px-Tango-video-x-generic.png");
     padding-left: 50px;
     padding-left: 50px;
}
}
Line 316: Line 317:
#mw_content a[href*=".PDF?"].external,  
#mw_content a[href*=".PDF?"].external,  
#mw_content a[href*=".PDF#"].external {
#mw_content a[href*=".PDF#"].external {
     background: url(http://upload.wikimedia.org/wikipedia/commons/thumb/2/23/Icons-mini-file_acrobat.gif/15px-Icons-mini-file_acrobat.gif) center right no-repeat;
     background: url(https://upload.wikimedia.org/wikipedia/commons/thumb/2/23/Icons-mini-file_acrobat.gif/15px-Icons-mini-file_acrobat.gif) center right no-repeat;
     padding-right: 16px;
     padding-right: 16px;
}
}
Line 323: Line 324:
/* is used (notably Template:PDFlink). This works in IE, unlike the above. */
/* is used (notably Template:PDFlink). This works in IE, unlike the above. */
span.PDFlink a {
span.PDFlink a {
     background: url(http://upload.wikimedia.org/wikipedia/commons/thumb/2/23/Icons-mini-file_acrobat.gif/15px-Icons-mini-file_acrobat.gif) center right no-repeat !important;
     background: url(https://upload.wikimedia.org/wikipedia/commons/thumb/2/23/Icons-mini-file_acrobat.gif/15px-Icons-mini-file_acrobat.gif) center right no-repeat;
     padding-right: 17px !important;
     padding-right: 17px;
}
}


span.geolink a {
span.geolink a {
     background: url(http://upload.wikimedia.org/wikipedia/en/a/a7/Monobook-globe.png) center right no-repeat !important;
     background: url(https://upload.wikimedia.org/wikipedia/en/a/a7/Monobook-globe.png) center right no-repeat;
     padding-right: 11px !important;
     padding-right: 11px;
}
}


Line 364: Line 365:
*/
*/
.plainlinksneverexpand {
.plainlinksneverexpand {
     background: none ! important;
     background: none;
     padding: 0 ! important;
     padding: 0;
}
}
.plainlinksneverexpand .urlexpansion {
.plainlinksneverexpand .urlexpansion {
     display: none ! important;
     display: none;
}
}


Line 375: Line 376:
*/
*/
.plainlinksneverexpand a {
.plainlinksneverexpand a {
     background: none !important;
     background: none;
     padding: 0 !important;
     padding: 0;
}
}


Line 386: Line 387:
*/
*/
.plainlinksneverexpand a.external.text:after {
.plainlinksneverexpand a.external.text:after {
     display: none !important;
     display: none;
}
}
.plainlinksneverexpand a.external.autonumber:after {
.plainlinksneverexpand a.external.autonumber:after {
     display: none !important;
     display: none;
}
}


Line 665: Line 666:
/* Put a checker background at the image description page only visible if the image has transparent background */
/* Put a checker background at the image description page only visible if the image has transparent background */
#file img {
#file img {
     background: url("http://upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png") repeat;
     background: url("https://upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png") repeat;
}
}


Line 738: Line 739:
/* class hiddenStructure is defunct. See [[Wikipedia:hiddenStructure]] */
/* class hiddenStructure is defunct. See [[Wikipedia:hiddenStructure]] */
.hiddenStructure {
.hiddenStructure {
     display: inline ! important;
     display: inline;
     color: #f00;  
     color: #f00;  
     background-color: #0f0;
     background-color: #0f0;
Line 761: Line 762:
}
}


#EnWpMpBook { background-image: url(http://upload.wikimedia.org/wikipedia/en/7/7e/MP-open-book.png); }
#EnWpMpBook { background-image: url(https://upload.wikimedia.org/wikipedia/en/7/7e/MP-open-book.png); }
#EnWpMpSearch { background: url(http://upload.wikimedia.org/wikipedia/en/a/ae/MP-magnifying-glass.png) no-repeat top right; }
#EnWpMpSearch { background: url(https://upload.wikimedia.org/wikipedia/en/a/ae/MP-magnifying-glass.png) no-repeat top right; }
#EnWpMpSearchInner { float: right; width: 20em; text-align: center; }
#EnWpMpSearchInner { float: right; width: 20em; text-align: center; }
#EnWpMpBook2 { background-image: url(http://upload.wikimedia.org/wikipedia/commons/8/8e/MP-open-book2.png); }
#EnWpMpBook2 { background-image: url(https://upload.wikimedia.org/wikipedia/commons/8/8e/MP-open-book2.png); }


/* Standard Navigationsleisten, aka box hiding thingy from .de.  Documentation at [[Wikipedia:NavFrame]]. */
/* Standard Navigationsleisten, aka box hiding thingy from .de.  Documentation at [[Wikipedia:NavFrame]]. */
Line 948: Line 949:
}
}
.gallerybox .thumb img {
.gallerybox .thumb img {
     background: white url("http://upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png") repeat;
     background: white url("https://upload.wikimedia.org/wikipedia/commons/5/5d/Checker-16x16.png") repeat;
}
}
/* .ns-0 = articles, .ns-2 = user pages, .ns-100 = portals. */
/* .ns-0 = articles, .ns-2 = user pages, .ns-100 = portals. */
Line 975: Line 976:


/* Temporary rule for the duration of [[Wikipedia:2008 main page redesign proposal]] */
/* Temporary rule for the duration of [[Wikipedia:2008 main page redesign proposal]] */
#pretzelsmainpageproposal-head { background: white url('http://upload.wikimedia.org/wikipedia/en/c/c4/Faded_globe.PNG') no-repeat;}
#pretzelsmainpageproposal-head { background: white url('https://upload.wikimedia.org/wikipedia/en/c/c4/Faded_globe.PNG') no-repeat;}


/* </nowiki></pre> */
/* </nowiki></pre> */